Package ru.bitel.oss.kernel.entity.common.bean

# Class EntitySpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ContractObjectType`, `ContractParameterGroup`

public class EntitySpec extends IdTitle
Сущность/Тип объекта/Группа параметров ObjectType

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EntitySpec.Builder<T extends EntitySpec>`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntitySpec()`
  `EntitySpec(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EntitySpec.Builder<EntitySpec>`
  `builderEntitySpec()`
  `static String`
  `createEntityTitle(int entityId, String title, EntitySpec spec, Map<Integer,EntityAttr> attributes)`
  `String`
  `createEntityTitle(Entity entity)`
  `List<? extends AbstractSpecAttr>`
  `getAttributeList()`
  `String`
  `getComment()`
  `int`
  `getEntitySpecTypeId()`
  `String`
  `getEntityTitleMacros()`
  `Set<Integer>`
  `getModuleIds()`
  `boolean`
  `isHidden()`
  `void`
  `setAttributeList(List<? extends AbstractSpecAttr> attributes)`
  `void`
  `setComment(String comment)`
  `void`
  `setEntitySpecTypeId(int entitySpecTypeId)`
  `void`
  `setEntityTitleMacros(String entityTitleMakros)`
  `void`
  `setHidden(boolean hidden)`
  `void`
  `setModuleIds(Set<Integer> moduleIds)`
  `EntitySpecDTO`
  `toEntitySpecDTO()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EntitySpec

    public EntitySpec()

  - ### EntitySpec

    public EntitySpec(String title)

- ## Method Details

  - ### getModuleIds

    public Set<Integer> getModuleIds()

  - ### getEntitySpecTypeId

    public int getEntitySpecTypeId()

  - ### getEntityTitleMacros

    public String getEntityTitleMacros()

  - ### getComment

    public String getComment()

  - ### isHidden

    public boolean isHidden()

  - ### getAttributeList

    public List<? extends AbstractSpecAttr> getAttributeList()

  - ### setHidden

    public void setHidden(boolean hidden)

  - ### setModuleIds

    public void setModuleIds(Set<Integer> moduleIds)

  - ### setEntitySpecTypeId

    public void setEntitySpecTypeId(int entitySpecTypeId)

  - ### setEntityTitleMacros

    public void setEntityTitleMacros(String entityTitleMakros)

  - ### setComment

    public void setComment(String comment)

  - ### setAttributeList

    public void setAttributeList(List<? extends AbstractSpecAttr> attributes)

  - ### createEntityTitle

    public String createEntityTitle(Entity entity)

  - ### toEntitySpecDTO

    public EntitySpecDTO toEntitySpecDTO()

  - ### createEntityTitle

    public static String createEntityTitle(int entityId, String title, EntitySpec spec, Map<Integer,EntityAttr> attributes)

  - ### builderEntitySpec

    public static EntitySpec.Builder<EntitySpec> builderEntitySpec()